﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default2.aspx.cs" Inherits="Default2" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
</head>
<body>
	<form id="form1" runat="server">
	<div>
		<asp:ScriptManager ID="Scriptmanager1" runat="server" />
		<script type="text/javascript">


			// Javascript for swapping between DockZones
			var initialZone;
			var initialIndex;
			function OnDragStart(dock, args) {
				initialIndex = dock.get_index();
				initialZone = dock.get_dockZone();
			}

			function OnClientDockPositionChanged(dock, args) {

				var currentZone = dock.get_dockZone();
				var dockToBeDocked = currentZone.get_docks()[dock.get_index() + 1];
				if (dockToBeDocked != null && initialZone != null && currentZone != initialZone) {
					initialZone.dock(dockToBeDocked, initialIndex);
					dockToBeDocked.raise_dockPositionChanged();
					// the DockPositionChanged event for the moved dock is raised
				}

				if (IsInRotator(dock)) {
					$telerik.getElementByClassName(dock.get_contentContainer(), "mainContent", "div").style.display = "none";
					$telerik.getElementByClassName(dock.get_contentContainer(), "imageContent", "div").style.display = "block";
				} else {
					$telerik.getElementByClassName(dock.get_contentContainer(), "mainContent", "div").style.display = "block";
					$telerik.getElementByClassName(dock.get_contentContainer(), "imageContent", "div").style.display = "none";
				}
				// the main content and the thumbnail are now placed in div elements so that they can be accessed for any RadDock on the page

				function IsInRotator(dock) { // checks whether the dock resides in any of the RadDockZones, placed in the RadRotator
					return dock.get_dockZone().get_id().search("rdzAdditionalGrid") >= 0;
				}

			}

		</script>
		<telerik:RadDockLayout runat="server" ID="RadDockLayout">
			<telerik:RadDockZone runat="server" ID="RadDockZone" Width="250px" MinHeight="190px">
				<telerik:RadDock runat="server" ID="RadDock1" Width="250px" Title="Test" OnClientDragStart="OnDragStart"
					OnClientDockPositionChanged="OnClientDockPositionChanged">
					<ContentTemplate>
						<div class="mainContent">
							<asp:Calendar runat="server" ID="Calendar1"></asp:Calendar>
						</div>
						<div class="imageContent" style="display: none;">
							<asp:Image ID="Image1" ImageUrl="barcelona.jpg" runat="server" />
						</div>
					</ContentTemplate>
				</telerik:RadDock>
			</telerik:RadDockZone>
			<telerik:RadRotator ID="rrDashboardAdditionalGrids" runat="server" RotatorType="Buttons"
				PauseOnMouseOver="False" Width="540px" ItemWidth="250px" Height="190px" ItemHeight="190px">
				<Items>
					<telerik:RadRotatorItem>
						<ItemTemplate>
							<telerik:RadDockZone ID="rdzAdditionalGrid1" runat="server" Orientation="Vertical"
								Width="250px" MinHeight="150px" Height="190px">
								<telerik:RadDock runat="server" ID="RadDock2" Width="250px" Title="Test 2" OnClientDragStart="OnDragStart"
									OnClientDockPositionChanged="OnClientDockPositionChanged">
									<ContentTemplate>
										<div class="mainContent" style="display: none;">
											<asp:Calendar runat="server" ID="Calendar2"></asp:Calendar>
										</div>
										<div class="imageContent">
											<asp:Image ID="Image2" ImageUrl="barcelona.jpg" runat="server" />
										</div>
									</ContentTemplate>
								</telerik:RadDock>
							</telerik:RadDockZone>
						</ItemTemplate>
					</telerik:RadRotatorItem>
					<telerik:RadRotatorItem>
						<ItemTemplate>
							<telerik:RadDockZone ID="rdzAdditionalGrid2" runat="server" Orientation="Vertical"
								Width="250px" MinHeight="150px" Height="190px">
							</telerik:RadDockZone>
						</ItemTemplate>
					</telerik:RadRotatorItem>
				</Items>
			</telerik:RadRotator>
		</telerik:RadDockLayout>
	</div>
	</form>
</body>
</html>
